Негізгі сертификаттар

ҰКО (RSA_OLD) pki_rsa
ҰКО (GOST_OLD) pki_gost
НКО (RSA) root_rsa
НКО (GOST) root_gost
ҰКО (RSA) nca_rsa
ҰКО (GOST) nca_gost

Кері шақырылған сертификаттардың тізімі

ҰҚО (RSA_OLD) CRL Delta CRL
ҰҚО (GOST_OLD) CRL Delta CRL
ҰҚО (RSA) CRL Delta CRL
ҰҚО (GOST) CRL Delta CRL

ЭЦҚны қайта шығарғыңыз келе ме? бөлімге өту >>

Welcome, Guest
Username Password: Remember me

Проблема с установкой kalkancrypt PHP
(1 viewing) (1) Guest
  • Page:
  • 1
  • 2

TOPIC: Проблема с установкой kalkancrypt PHP

Проблема с установкой kalkancrypt PHP 1 week, 3 days ago #5329

  • elPumba
  • OFFLINE
  • Новый участник
  • Posts: 17
  • Karma: 3
Добрый день.
Попробовал установить расширение kalkancrypt для РНР.
Система: ubuntu 18.04.1 + Apache 2.4.29 + PHP 7.3.9-1.

Согласно инструкции в SDK произвел следующие действия:
1. Скопировал файл kalkancrypt.so в /usr/lib/php/20180731;
2. В файле /etc/php/7.3/apache2/php.ini добавил строку: extension=kalkancrypt;
3. Скопировал папку kalkancrypt в /opt/;
4. В терминале выполнил команду export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:/opt/kalkancrypt/:/opt/kalkancrypt/lib/engines (команда export -p отображает переменную LD_LIBRARY_PATH);
5. Добавил строку export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:/opt/kalkancrypt/:/opt/kalkancrypt/lib/engines в файл /etc/apache2/envvars;

Однако phpinfo() не отображает расширение kalkancrypt, а при проверке через php --ini отображается следующая ошибка:
PHP Warning: PHP Startup: Unable to load dynamic library 'kalkancrypt' (tried: /usr/lib/php/20180731/kalkancrypt (/usr/lib/php/20180731/kalkancrypt: cannot open shared object file: No such file or directory), /usr/lib/php/20180731/kalkancrypt.so (/opt/kalkancrypt/libxmlsec1-openssl.so.1: file too short)) in Unknown on line 0
Configuration File (php.ini) Path: /etc/php/7.3/cli
Loaded Configuration File: /etc/php/7.3/cli/php.ini
Scan for additional .ini files in: /etc/php/7.3/cli/conf.d
Additional .ini files parsed: /etc/php/7.3/cli/conf.d/10-opcache.ini,
/etc/php/7.3/cli/conf.d/10-pdo.ini,
/etc/php/7.3/cli/conf.d/20-calendar.ini,
/etc/php/7.3/cli/conf.d/20-ctype.ini,
/etc/php/7.3/cli/conf.d/20-exif.ini,
/etc/php/7.3/cli/conf.d/20-fileinfo.ini,
/etc/php/7.3/cli/conf.d/20-ftp.ini,
/etc/php/7.3/cli/conf.d/20-gettext.ini,
/etc/php/7.3/cli/conf.d/20-iconv.ini,
/etc/php/7.3/cli/conf.d/20-json.ini,
/etc/php/7.3/cli/conf.d/20-phar.ini,
/etc/php/7.3/cli/conf.d/20-posix.ini,
/etc/php/7.3/cli/conf.d/20-readline.ini,
/etc/php/7.3/cli/conf.d/20-shmop.ini,
/etc/php/7.3/cli/conf.d/20-sockets.ini,
/etc/php/7.3/cli/conf.d/20-sysvmsg.ini,
/etc/php/7.3/cli/conf.d/20-sysvsem.ini,
/etc/php/7.3/cli/conf.d/20-sysvshm.ini,
/etc/php/7.3/cli/conf.d/20-tokenizer.ini

Не подскажите в чем может быть проблема и что я упустил?

Re: Проблема с установкой kalkancrypt PHP 1 week, 2 days ago #5332

  • danil.miskiv
  • OFFLINE
  • Захожу иногда
  • Posts: 49
  • Karma: 2
Добрый день!

Скачайте заново SDK. Я обновил библиотеки в папке kalkancrypt. Скопируйте их заново и попробуйте запустить.

Re: Проблема с установкой kalkancrypt PHP 1 week, 2 days ago #5339

  • elPumba
  • OFFLINE
  • Новый участник
  • Posts: 17
  • Karma: 3
danil.miskiv wrote:

Скачайте заново SDK. Я обновил библиотеки в папке kalkancrypt. Скопируйте их заново и попробуйте запустить.

Большое спасибо. Обновил SDK, расширение запустилось, через phpinfo() отображается. Функционал ещё не тестировал. Будут проблемы - отпишу в эту тему.

Re: Проблема с установкой kalkancrypt PHP 1 week ago #5345

  • elPumba
  • OFFLINE
  • Новый участник
  • Posts: 17
  • Karma: 3
В документации сказано, что РНР расширение kalkancrypt следует устанавливать с версией РНР 7.3 и выше. Это связано с тем что в расширении используются функции и возможности доступные с версии 7.3 или Вы просто производили тестирование и отладку на этой версии? Будет ли оно работать на более ранних версиях, например, 7.0 или 7.2?

Re: Проблема с установкой kalkancrypt PHP 1 week ago #5346

  • danil.miskiv
  • OFFLINE
  • Захожу иногда
  • Posts: 49
  • Karma: 2
elPumba wrote:
Вы просто производили тестирование и отладку на этой версии?

Компиляция библиотеки производилась на последней(на тот момент) версии PHP.

elPumba wrote:
Будет ли оно работать на более ранних версиях, например, 7.0 или 7.2?

Нет. Будет жаловаться, что скомпилина она на более новой...

Re: Проблема с установкой kalkancrypt PHP 1 week ago #5347

  • elPumba
  • OFFLINE
  • Новый участник
  • Posts: 17
  • Karma: 3
danil.miskiv wrote:
elPumba wrote:
Вы просто производили тестирование и отладку на этой версии?

Компиляция библиотеки производилась на последней(на тот момент) версии PHP.

elPumba wrote:
Будет ли оно работать на более ранних версиях, например, 7.0 или 7.2?

Нет. Будет жаловаться, что скомпилина она на более новой...


Спасибо за информацию.
  • Page:
  • 1
  • 2
Time to create page: 0.22 seconds
FaLang translation system by Faboba